import torch
from torch_geometric.transforms import NormalizeScale
from torch_geometric.data import Data


def test_normalize_scale():
    assert NormalizeScale().__repr__() == 'NormalizeScale()'

    pos = torch.randn((10, 3))

    data = Data(pos=pos)
    data = NormalizeScale()(data)
    assert len(data) == 1
    assert data.pos.min().item() > -1
    assert data.pos.max().item() < 1
